For the complete documentation index, see llms.txt. This page is also available as Markdown.

Deleted Devices

Returns deleted devices for specified tenant. Requires AccessAllDevices permission.

get
Path parameters
tenantVarCodestringRequired

Tenant Var Code

Query parameters
subtenantsbooleanOptional

When 'subtenants=true' the list contains devices for the tenant and all subtenants

Default: false
Responses
200

OK

TenantCodestring · nullableOptional

Tenant Var Code

TenantDescriptionstring · nullableOptional

Name used to describe the tenant (max 250 characters)

DeviceIdstring · nullableOptional

A string that uniquely identifies the device.

DeviceTypestring · nullableOptional

A string enumeration that defines the device type.

FriendlyNamestring · nullableOptional

A string used to more easily identify the device

Usernamestring · nullableOptional

Redacted username (email address) of the last assigned owner of the device

SecondaryDeviceIdstring · nullableOptional

Secondary Device Id for devices that send messages with multiple device identifiers.

IridiumImeistring · nullableOptional

Device IMEI

SimNumberstring · nullableOptional

Device Sim Number (ICCID)

PhoneNumberstring · nullableOptional

Device phone number (can be used only if device supports phone number property)

DateDeletedstring · date-timeOptional

The date (UTC) that the device was deleted from the platform

DeletedBystring · nullableOptional

Redacted username (email address) of the user that deleted the device

get/V2/{tenantVarCode}/deleteddevices
GET /V2/{tenantVarCode}/deleteddevices HTTP/1.1
Accept: */*
200

OK

[
  {
    "TenantCode": "text",
    "TenantDescription": "text",
    "DeviceId": "text",
    "DeviceType": "text",
    "FriendlyName": "text",
    "Username": "text",
    "SecondaryDeviceId": "text",
    "IridiumImei": "text",
    "SimNumber": "text",
    "PhoneNumber": "text",
    "DateDeleted": "2026-01-01T00:00:00.000Z",
    "DeletedBy": "text"
  }
]

Returns deleted devices for specified tenant and device id. Requires AccessAllDevices permission.

get
Path parameters
tenantVarCodestringRequired

Tenant Var Code

deviceIdstringRequired

Device Id

Query parameters
subtenantsbooleanOptional

When 'subtenants=true' the list contains devices for the tenant and all subtenants

Default: false
Responses
200

OK

TenantCodestring · nullableOptional

Tenant Var Code

TenantDescriptionstring · nullableOptional

Name used to describe the tenant (max 250 characters)

DeviceIdstring · nullableOptional

A string that uniquely identifies the device.

DeviceTypestring · nullableOptional

A string enumeration that defines the device type.

FriendlyNamestring · nullableOptional

A string used to more easily identify the device

Usernamestring · nullableOptional

Redacted username (email address) of the last assigned owner of the device

SecondaryDeviceIdstring · nullableOptional

Secondary Device Id for devices that send messages with multiple device identifiers.

IridiumImeistring · nullableOptional

Device IMEI

SimNumberstring · nullableOptional

Device Sim Number (ICCID)

PhoneNumberstring · nullableOptional

Device phone number (can be used only if device supports phone number property)

DateDeletedstring · date-timeOptional

The date (UTC) that the device was deleted from the platform

DeletedBystring · nullableOptional

Redacted username (email address) of the user that deleted the device

get/V2/{tenantVarCode}/deleteddevices/{deviceId}
GET /V2/{tenantVarCode}/deleteddevices/{deviceId} HTTP/1.1
Accept: */*
200

OK

[
  {
    "TenantCode": "text",
    "TenantDescription": "text",
    "DeviceId": "text",
    "DeviceType": "text",
    "FriendlyName": "text",
    "Username": "text",
    "SecondaryDeviceId": "text",
    "IridiumImei": "text",
    "SimNumber": "text",
    "PhoneNumber": "text",
    "DateDeleted": "2026-01-01T00:00:00.000Z",
    "DeletedBy": "text"
  }
]

Last updated